# Get Triggered Alerts

## Get Triggered Alerts

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/alarms`

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| YOUR\_TOKEN<mark style="color:red;">\*</mark> | String | Your authentication token |
| CUSTOMER\_ID                                  | String | Customer API key          |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
[
  {
    "ActionResults": [],
    "Alert": {
      "ActionBlockIncommingActive": false,
      "ActionClearDeviceActive": false,
      "ActionSendSmsToThingActive": false,
      "ActionSuspendActive": false,
      "ActionWebhookActive": false,
      "AlertActive": true,
      "AlertDescription": "Last usage test",
      "AlertId": "AlertId_1944f02cv-6bb5-5008-a12e-b11e0e2c181d",
      "AlertName": "Last usage alert",
      "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
      "DateCreated": 1611912330167,
      "DateModified": 1611912330169,
      "MetricType": "Last_Usage",
      "MetricValue": 1,
      "Operation": ">=",
      "OverrideOrMultiple": "Override",
      "Severity": "Info",
      "ThingTags": [],
      "ThingsGroup": [
        "ThingsGroupId_b7786b88-e651-4997-8bh6-dfd4hh32b417",
        "ThingsGroupId_ff6421c0-bff0-4997-93abc768ee6ca9b017a"
      ],
      "Type": "AlertId"
    },
    "CellId": 12345,
    "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
    "DateCreated": 1612095568940,
    "DateModified": 1612095568942,
    "FiredAlertDescription": "Last usage test",
    "Lac": 54321,
    "LastLocationUpdateTime": "2020-10-23 07:21:39",
    "Latitude": 12.34567,
    "Longitude": 23.45678,
    "Owner": "Demo Administrator",
    "Status": "Active",
    "TelephonyProfileId": "TelephonyProfile_ad766b40-9667-4ff1-9a79-0169467834d9",
    "TelephonyProfileName": "Default telephony profile",
    "Thing": {
      "ActivationChargeFlag": false,
      "ActiveMobileSubscriber": "123456789101112",
      "AddressSignal": "370611111111",
      "BatchId": "tutorial SIM",
      "Block": {
        "Data": false
      },
  
  ...

```

{% endtab %}

{% tab title="401 Unauthorized" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found Not found" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

To receive triggered Alerts (Alarms) list, please use following request:

```bash
curl -X GET \
    --url "https://console.monogoto.io/alarms/" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}" \
    -H "apikey: {CUSTOMER_ID}"
```

{% hint style="info" %}
Add your **Token** and **Customer ID** in the GET request to successfully obtain the Thing info.
{% endhint %}

Request example:

```bash
curl -X GET \
    --url "https://console.monogoto.io/alarms/" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng" \
    -H "apikey: cid_ecs1d3a5-f5e62a1-fe8af468wf"
```

Expected result:

```json
[
  {
    "ActionResults": [],
    "Alert": {
      "ActionBlockIncommingActive": false,
      "ActionClearDeviceActive": false,
      "ActionSendSmsToThingActive": false,
      "ActionSuspendActive": false,
      "ActionWebhookActive": false,
      "AlertActive": true,
      "AlertDescription": "Last usage test",
      "AlertId": "AlertId_1944f02cv-6bb5-5008-a12e-b11e0e2c181d",
      "AlertName": "Last usage alert",
      "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
      "DateCreated": 1611912330167,
      "DateModified": 1611912330169,
      "MetricType": "Last_Usage",
      "MetricValue": 1,
      "Operation": ">=",
      "OverrideOrMultiple": "Override",
      "Severity": "Info",
      "ThingTags": [],
      "ThingsGroup": [
        "ThingsGroupId_b7786b88-e651-4997-8bh6-dfd4hh32b417",
        "ThingsGroupId_ff6421c0-bff0-4997-93abc768ee6ca9b017a"
      ],
      "Type": "AlertId"
    },
    "CellId": 12345,
    "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
    "DateCreated": 1612095568940,
    "DateModified": 1612095568942,
    "FiredAlertDescription": "Last usage test",
    "Lac": 54321,
    "LastLocationUpdateTime": "2020-10-23 07:21:39",
    "Latitude": 12.34567,
    "Longitude": 23.45678,
    "Owner": "Demo Administrator",
    "Status": "Active",
    "TelephonyProfileId": "TelephonyProfile_ad766b40-9667-4ff1-9a79-0169467834d9",
    "TelephonyProfileName": "Default telephony profile",
    "Thing": {
      "ActivationChargeFlag": false,
      "ActiveMobileSubscriber": "123456789101112",
      "AddressSignal": "370611111111",
      "BatchId": "tutorial SIM",
      "Block": {
        "Data": false
      },
  
  ...

```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/alarms/" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/developer/api/alerts/how-to-view-triggered-alerts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
